Bug 583833 - The "Events" quick link is missing from the "Quick Links" column in the new browseResources.xhtml pages
The "Events" quick link is missing from the "Quick Links" column in the new b...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Corey Welton
:
: 607990 (view as bug list)
Depends On:
Blocks: rhq_auto_blocker jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-04-19 16:58 EDT by John Sefler
Modified: 2010-08-12 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-04-19 16:58:36 EDT
Description of problem:
The /ResourceHub.do pages were recently replaced with /rhq/inventory/browseResources.xhtml pages.  On these pages is a column of "Quick Links".
Prior versions of JON contained quicklinks for:
  Monitor
  Inventory
  Alerts
  Configure
  Operations
  Events
  Content

The current master builds are missing the 'Events' quick link.
  

Version-Release number of selected component (if applicable):
b46489e

How reproducible:


Steps to Reproduce:
1. go to Resources > Platforms

Actual results:
   The "Events" quick link is missing for your currently inventoried platforms.

Expected results:
   Should be between "Operations" and "Content"
   Should also be present for appropriate SERVERS and SERVICES

Additional info:
Comment 1 Charles Crouch 2010-05-13 15:24:24 EDT
This should be a quick fix
Comment 2 Heiko W. Rupp 2010-06-25 11:53:01 EDT
*** Bug 607990 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2010-06-25 12:15:15 EDT
Fixed in e0efd15 on release-3.0.0
Comment 4 Joseph Marques 2010-06-28 01:29:05 EDT
Don't forget, there's also the resource members section when you're viewing the inventory > overview page of a group.  The icon could be added there too.  Then there's also the right-click context for the left-nav trees.

You'll be able to find all of the locations by searching for "onc:icon" in the workspace.  That will even give you the places we use the icons for resource groups too, which I think could/should be added too.
Comment 5 Heiko W. Rupp 2010-06-28 04:58:35 EDT
Additional fixes for groups in 7621d76
Comment 6 Corey Welton 2010-06-29 08:34:52 EDT
QA Verified
Comment 7 Corey Welton 2010-08-12 12:48:05 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.